Skip to main content
`Ctrl`+`K`

# PetscRealPart

Returns the real part of a `PetscScalar`

## Synopsis

    #include <petscmath.h>
    PetscReal PetscRealPart(PetscScalar v)

Not Collective

## Input Parameter

- v - value to find the real part of

## See Also

`PetscScalar`, `PetscImaginaryPart()`, `PetscMax()`, `PetscClipInterval()`, `PetscAbsInt()`, `PetscAbsReal()`, `PetscSqr()`

## Level

beginner

## Location

include/petscmath.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages